QCA::CRLContextProps Class Reference
QCA provider API

`#include <QtCrypto>`

Collaboration diagram for QCA::CRLContextProps:
[legend]

## Public Attributes

CertificateInfoOrdered | issuer
QByteArray | issuerId
QDateTime | nextUpdate
int | number
QList< CRLEntry > | revoked
QByteArray | sig
SignatureAlgorithm | sigalgo
QDateTime | thisUpdate

## Detailed Description

X.509 certificate revocation list properties.

Note
  This class is part of the provider plugin interface and should not be used directly by applications. You probably want CRL instead.

For efficiency and simplicity, the members are directly accessed.

## Member Data Documentation

## issuer

CertificateInfoOrdered QCA::CRLContextProps::issuer

The issuer information of the CRL.

## number

int QCA::CRLContextProps::number

The CRL number, which increases at each update.

## thisUpdate

QDateTime QCA::CRLContextProps::thisUpdate

The time this CRL was created.

## nextUpdate

QDateTime QCA::CRLContextProps::nextUpdate

The time this CRL expires, and the next CRL should be fetched.

## revoked

QList<CRLEntry> QCA::CRLContextProps::revoked

The revoked entries.

## sig

QByteArray QCA::CRLContextProps::sig

The signature data of the CRL.

## sigalgo

SignatureAlgorithm QCA::CRLContextProps::sigalgo

The signature algorithm used by the issuer to sign the CRL.

## issuerId

QByteArray QCA::CRLContextProps::issuerId

The issuer id.

The documentation for this class was generated from the following file:

- qcaprovider.h